> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request redelegation



## OpenAPI

````yaml post /v1/delegations/delegation-request-action
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/delegation-request-action:
    post:
      tags:
        - delegations
      summary: Request redelegation
      operationId: DelegationController_requestFordelegationRequestAction_v1
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RequestDelegationRequestDto'
      responses:
        '201':
          description: Delegation Request generated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestDelegationResponseResponse'
      security:
        - accessToken: []
components:
  schemas:
    RequestDelegationRequestDto:
      type: object
      properties:
        tenantId:
          type: string
          format: uuid
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Tenant Id of decision/delegation
        delegationId:
          type: string
          format: uuid
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Delegation Id (Optional)
        decisionId:
          type: string
          format: uuid
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Decision Id(Optional)
      required:
        - tenantId
    RequestDelegationResponseResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/RequestDelegationResponse'
      required:
        - statusCode
        - timestamp
        - message
        - data
    RequestDelegationResponse:
      type: object
      properties:
        delegationId:
          type: string
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Delegation Id
        decisionId:
          type: string
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Decision Id
        actionName:
          type: string
          example: Delegation Request
          description: Name of the action generated
        actionOwnerId:
          type: string
          example: 14f5a115-52d0-4466-baff-740447a60774
          description: Delegation request action requested by user
        actionAssigneeIds:
          example:
            - 14f5a115-52d0-4466-baff-740447a60774
          description: Delegation request action assign to users
          type: array
          items:
            type: string
      required:
        - actionName
        - actionOwnerId
        - actionAssigneeIds
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````